Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
tien2005

[Hỏi] về lệnh getstring

Các bài được khuyến nghị

mình dùng acad2007 sử dụng lisp sau:

(defun c:test()
 (setq t1 (getstring T "\nNhap noi dung text 1: ")
t2 (getstring T "\nNhap noi dung text 2: ")
t3 (strcat t1 t2)
)
 )

 

Vấn đề đặt ra là cách nhập text (t1 và t2) trên dong lệnh command và tại vị trí con trỏ trên màn hình:

- Nhập trên dòng lệnh thì các text t1 và t2 vẫn đầy đủ

vd: t1 "Forum " và t2 " CadViet " => "Forum CadViet "

 

- Nhập tại vị trí con trỏ thì các text bị mất khoảng trắng đầu và cuối

vd: t1 "Forum " và t2 " CadViet" => "ForumCadViet"

 

Vậy có cách nào để khắc phục cho cách nhập tại vị trí con trỏ không? hoặc có biến hệ thống nào để cài đặt bắt buộc chỉ được nhập tại dòng lệnh command

 

Thanks

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×